Package net.postgis.jdbc.geometry.binary

# Class ByteSetter

java.lang.Object
net.postgis.jdbc.geometry.binary.ByteSetter

Direct Known Subclasses:
  `ByteSetter.BinaryByteSetter`, `ByteSetter.StringByteSetter`

public abstract class ByteSetter extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ByteSetter.BinaryByteSetter`
`static class`
`ByteSetter.StringByteSetter`

## Constructor Summary

Constructors
Constructor
Description
`ByteSetter()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`set(byte b, int index)`
Set a byte.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ByteSetter

public ByteSetter()

## Method Details

### set

public abstract void set(byte b, int index)
Set a byte.

Parameters:
  `b` - byte value to set with
  `index` - index to set